Subject: bug#38818: Dired: mention deleting buffers, not just windows

From: Michael Heerdegen <[email-masked]>
Date: Wed, 01 Jan 2020 04:45:30 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> One also notices
>   dired-clean-up-buffers-too is a variable defined in ‘dired-x.el’.
>
> So previously people had been working on related problems, but never got
> around to all the left over directories.

But that's not very related: AFAIK that means that if you have a buffer
visiting a file, and you kill that file in dired, Emacs asks whether to
kill the associated, and now obsolete, file buffer.  The analogue would
be to kill a dired buffer when you deleted its directory.

> Actually I don't know how to bind kill-buffer to q and not have it still
> ask me which buffer, but just kill it (marks and all, for now I guess.)
> I'm not a lisp wiz.

Does `kill-current-buffer' or `kill-buffer-and-window' (aka C-x 4 0) do
what you want?

Michael.